Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: Chong Yidong <[email-masked]>
Date: Wed, 31 Dec 2008 22:05:45 -0500

Arguably, Emacs 23 is now doing the right thing.  Your
default-frame-alist specifies a tool-bar-lines frame parameter of 1,
which means the tool-bar should be enabled in new frames.  If you remove
that frame parameter from your default-frame-alist, or set it to 0, new
frames will not show a tool-bar.

I am not 100% sure why previous version of Emacs did not show the
tool-bar, but they probably ought to have.  Possibly it's because we now
set up the contents of the tool-bar at startup even if the initial frame
cannot or does not display it (a change required by the new multi-tty
functionality).